On Solaris 11, Oracle DB Installer fails due to a missing "as" command.

(Doc ID 1588512.1)

Last updated on MAY 03, 2017

Applies to:

Solaris SPARC Operating System - Version 11 11/11 and later
Oracle Solaris Express
Solaris 11.1. SRU 5.5
oracle DB


End user is trying to install the Oracle DB on Solaris 11.
This requires that /usr/ccs/bin/as is installed, as well as a few other packages.

Currently, no Solaris packages can be installed:

root@pgiptn07:/export/home# pkg install gcc-3
Creating Plan (Solver setup): -
pkg install: No matching version of developer/gcc-3 can be installed:
 Reject: pkg://solaris/developer/gcc-3@3.4.3,5.11-
 Reason: All versions matching 'require' dependency pkg:/system/header are rejected
  Reject: pkg://solaris/system/header@0.5.11,5.11-
  Reason: This version is excluded by installed incorporation pkg://solaris/consolidation/osnet/osnet-incorporation@0.5.11,5.11-


Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms